#ifdef DOC
/*!
 \mainpage OSBDM/TBDML/TBLCF Interface DLLs for USBDM

 \section introSection Introduction
   The attached files provide modified versions of the TBDML & OSBDM dlls for use with the Codewarrior IDE.

 \subsection featureSection Features
   This version of the code & extended hardware provides the following features:
   -	A single BDM interface for programming and debugging of the following targets:
      -	HCS12 (including those without SYNC feature (e.g. 9S12DP256B)
      -	HCS08,
      -	RS08 and
      -	Coldfire V1 microcontrollers (preliminary)
   -	Compatible with CW for HC12 V4.6, V4.7
   -	Compatible with CW for Microcontrollers V6.1, V6.2 (required for Coldfire V1 chips)
   -	Target reset detection & control (required for HC12 processors).  This allows HC12 processors to be reset into BDM mode
       as required for debugging.
   -	Target Vdd supply & control.  This allows the target power to be cycled when required for a reliable reset into BDM mode.
       It is also (obviously) convenient since it allows debugging small target boards without a separate target power supply.
       An external target supply may also be used instead.  The Target supply is protected by a polyfuse and software detection
       of overload.
   -	Target Vdd monitoring. This allows the hardware to detect changes in the Target supply to provide reliable resetting into
       BDM modes on HCS08 and RS08 microcontrollers.  It also is used to implement the target power supply protection.
   -	A slightly higher BDM interface speed than the existing JB16 OSBDMs. Up to 56MHz. (BDM clock 28MHz).
   -	Several software options over the existing OSBDM code
      -  Automatic re-connection.  The existing OSBDM code appears to have problems debugging a target when the target clock
         speed is changed by the code execution.  The software has an option to continuously update the interface speed to
         prevent loss of communication in this case.
      -	Control of BDM clock selection in HC12/HCS08/Coldfire microcontrollers.  Most of these targets provide an alternative
          BDM clock selection.  This can have advantages when connecting to high speed targets as the alternative clock may
          operate at a lower speed.
      -	Selection of 3.3V and 5V target supply (if hardware supports this).
      -	Trial-and-error determination of communication speed for earlier HC12 targets.
   -	Various bug fixes on the OSBDM code.
   -  The JM60 version supports automatic update of Firmware by the driver DLL
   -	Hardware is physically small (50 mm x 25 mm)

 \section sectionCredits Credits
   -  The bulk of the code is taken from the TBDML and OSBDM projects and I very much appreciate
      the effort involved in producing the original code.  I hope this extension will be useful.

 \section sectionQueries Queries
   Any queries please post on the Freescale @htmlonly <a href="http://forums.freescale.com/freescale/board?board.id=OSBDM08">OSBDM Discussion Board</a>. @endhtmlonly \n

 \section licenseSection License
    \verbatim
    Universal Serial BDM (USBDM)

    **  This software was modified from TBDML/OSBDM software - 2008/6/10  **
    Open Source BDM/Turbo BMD Light

    **  This software was modified from TBDML software - 2005/12/05  **
    Original TBDML Copyright (C) 2005  Daniel Malik

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    \endverbatim
 */
 #endif //DOC
